| Home | Libraries | People | FAQ | More

#### io_service::has_service

Determine if an `io_service` contains a specified service type.

    template<
        typename Service>
    friend bool has_service(
        io_service & ios);

This function is used to determine whether the `io_service` contains a service object corresponding to the given service type.

###### Parameters

ios

  The `io_service` object that owns the service.

###### Return Value

A boolean indicating whether the `io_service` contains the service.

###### Requirements

Header: `boost/asio/io_service.hpp`

Convenience header: `boost/asio.hpp`